Generate perfmap symbol file for System.Private.CoreLib.
authorBrian Robbins <brianrob@microsoft.com>
Thu, 19 May 2016 23:08:32 +0000 (16:08 -0700)
committerBrian Robbins <brianrob@microsoft.com>
Fri, 20 May 2016 01:25:38 +0000 (18:25 -0700)
build.sh

index e184718..0b238fa 100755 (executable)
--- a/build.sh
+++ b/build.sh
@@ -258,6 +258,15 @@ build_CoreLib_ni()
             echo "Failed to generate native image for mscorlib facade."
             exit 1
         fi
+
+        if [ "$__BuildOS" == "Linux" ]; then
+            echo "Generating symbol file for System.Private.CoreLib."
+            $__BinDir/crossgen /CreatePerfMap $__BinDir $__BinDir/System.Private.CoreLib.ni.dll
+            if [ $? -ne 0 ]; then
+                echo "Failed to generate symbol file for System.Private.CoreLib."
+                exit 1
+            fi
+        fi
     fi
 }